(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    102298,       2270]
NotebookOptionsPosition[     99986,       2197]
NotebookOutlinePosition[    100373,       2214]
CellTagsIndexPosition[    100330,       2211]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Interface for CosmoMC v1.1\n",
 StyleBox["Mathematica",
  FontSize->10,
  FontSlant->"Italic"],
 StyleBox[" version 8.0.1+ compatible",
  FontSize->10]
}], "Title",
 CellChangeTimes->{{3.559141466966138*^9, 3.5591414876991673`*^9}, {
  3.559141565282276*^9, 3.5591415942073174`*^9}, {3.5591422932183027`*^9, 
  3.5591423001793127`*^9}, {3.559373938635098*^9, 3.559373939025099*^9}}],

Cell[TextData[{
 StyleBox["Created by Savvas Nesseris, 2012\n",
  FontSize->24],
 Cell[BoxData[
  TagBox[
   ButtonBox[
    PaneSelectorBox[{False->"\<\"http://www.uam.es/savvas.nesseris\"\>", True->
     StyleBox["\<\"http://www.uam.es/savvas.nesseris\"\>", 
      "HyperlinkActive"]}, Dynamic[
      CurrentValue["MouseOver"]],
     BaseStyle->{"Hyperlink"},
     BaselinePosition->Baseline,
     FrameMargins->0,
     ImageSize->Automatic],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["http://www.uam.es/savvas.nesseris"], None},
    ButtonNote->"http://www.uam.es/savvas.nesseris"],
   Annotation[#, "http://www.uam.es/savvas.nesseris", "Hyperlink"]& ]],
  ImageSize->{158, 15},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}}]
}], "Subsubtitle",
 CellChangeTimes->{{3.5591415009711857`*^9, 3.5591415371582365`*^9}, {
  3.5591416478273926`*^9, 3.559141647837393*^9}, {3.55914168143344*^9, 
  3.559141715339488*^9}, {3.5591417498055363`*^9, 3.559141754626543*^9}, {
  3.5591421169880543`*^9, 3.5591421172690544`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Definitions", " ", "//", " ", 
   RowBox[{
    RowBox[{"This", " ", "will", " ", "auto"}], "-", "initialize"}]}], " ", 
  "*)"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 InitializationCell->True,
 CellChangeTimes->{{3.5288056316097765`*^9, 3.52880566121347*^9}, {
   3.528806512065136*^9, 3.5288065166784*^9}, {3.5290708859812603`*^9, 
   3.5290708880473785`*^9}, {3.529310381352782*^9, 3.529310383196887*^9}, {
   3.5326983516952753`*^9, 3.5326983527403355`*^9}, 3.559142908767171*^9, {
   3.559143093948432*^9, 3.559143105950449*^9}, 3.559143720481315*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Some", " ", "settings"}], " ", "*)"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Needs", "[", "\"\<ComputationalGeometry`\>\"", "]"}], ";", 
  RowBox[{"sand`burnin", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$TextStyle", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"FontFamily", "\[Rule]", 
      StyleBox["Times", "MR"]}], ",", 
     RowBox[{"FontSize", "\[Rule]", "14"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Off", 
  StyleBox["[", "MR"], 
  RowBox[{
   RowBox[{"General", "::", "spell"}], ",", 
   StyleBox[
    RowBox[{"General", "::", "spell1"}], "MR"], 
   StyleBox[",", "MR"], 
   StyleBox[
    RowBox[{"CompiledFunction", "::", "cflist"}], "MessageName"]}], 
  StyleBox["]", "MR"]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.529070863146954*^9, 3.5290708742185874`*^9}, {
  3.532440804472273*^9, 3.5324408084555006`*^9}, {3.5324408613325253`*^9, 
  3.532440866063796*^9}, {3.5324478881744657`*^9, 3.53244789140565*^9}, {
  3.5324481254720383`*^9, 3.5324481317593975`*^9}, {3.532688335592387*^9, 
  3.532688338322543*^9}, {3.5326887285058603`*^9, 3.532688729744931*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", "End", " ", "*)"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(*", " ", "Functions", " ", "*)"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 InitializationCell->True,
 CellChangeTimes->{{3.5288056316097765`*^9, 3.52880566121347*^9}, {
  3.528806512065136*^9, 3.5288065166784*^9}, {3.5322632277659163`*^9, 
  3.5322632299210396`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Confid2D", "[", 
   RowBox[{"data_List", ",", "color_", ",", "inter_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"cv", ",", "cv1", ",", "cv2", ",", "qq"}], "}"}], ",", 
    RowBox[{
     RowBox[{"cv", "=", 
      RowBox[{"ConvexHull", "[", 
       RowBox[{"data", ",", 
        RowBox[{"AllPoints", "\[Rule]", "True"}]}], "]"}]}], ";", 
     RowBox[{"cv1", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"data", "[", 
         RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", "cv"}]}], ";", 
     RowBox[{"cv2", "=", 
      RowBox[{"Join", "[", 
       RowBox[{"cv1", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"cv1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", 
          RowBox[{"cv1", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], ";", 
     RowBox[{"qq", "=", 
      RowBox[{"Show", "[", 
       RowBox[{
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"color", ",", 
           RowBox[{"FilledCurve", "[", 
            RowBox[{"BSplineCurve", "[", 
             RowBox[{"cv2", ",", 
              RowBox[{"SplineDegree", "\[Rule]", "2"}], ",", 
              RowBox[{"SplineKnots", "\[Rule]", "\"\<Unclamped\>\""}]}], 
             "]"}], "]"}], ",", 
           RowBox[{"Antialiasing", "\[Rule]", "True"}]}], "}"}], "]"}], ",", 
        RowBox[{"Frame", "\[Rule]", "True"}]}], "]"}]}], ";", "qq"}]}], 
   "]"}]}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 InitializationCell->True,
 CellChangeTimes->{{3.52793749218207*^9, 3.5279374959752865`*^9}, {
   3.5280962466291122`*^9, 3.528096250061309*^9}, {3.5281045001861887`*^9, 
   3.5281045139889784`*^9}, {3.52810502243106*^9, 3.5281050226610727`*^9}, {
   3.5281061333626013`*^9, 3.5281061366197877`*^9}, {3.528707489819853*^9, 
   3.5287074948471403`*^9}, 3.5287085068530235`*^9, {3.528708542567066*^9, 
   3.5287086013124266`*^9}, 3.5287090137790184`*^9, 3.528711205694389*^9, {
   3.5288049509028425`*^9, 3.5288049527549486`*^9}, 3.52880566121347*^9, {
   3.528806512065136*^9, 3.5288065166784*^9}, 3.5316588359639673`*^9, {
   3.5316589327425027`*^9, 3.5316589351386395`*^9}, {3.5316591228443756`*^9, 
   3.531659133340976*^9}, 3.532262838799669*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"credits", "=", 
   RowBox[{"Column", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\>\"", ",", "\"\<Created by Dr. Savvas Nesseris, 2012\>\"", ",", 
      "\"\<\>\"", ",", 
      "\"\<Code released under the GNU General Public License v3, see \
www.gnu.org/licenses/gpl.html\>\"", ",", "\"\<\>\"", ",", 
      "\"\<S.N. is currently supported by:\>\"", ",", "\"\<\>\"", ",", 
      "\"\<Instituto de Fisica Teorica  (IFT)\>\"", ",", 
      RowBox[{"Show", "[", 
       RowBox[{
        GraphicsBox[
         TagBox[RasterBox[CompressedData["
1:eJztfQmYFNW5tklugiIqMDADJCoYWUIwi9HHPNEkvxGIPkY0Es2DhieaBBKX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           "], {{0, 101}, {234, 0}}, {0, 255},
           ColorFunction->RGBColor],
          BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
          Selectable->False],
         BaseStyle->"ImageGraphics",
         ImageSizeRaw->{234, 101},
         PlotRange->{{0, 234}, {0, 101}}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "150"}]}], "]"}], ",", "\"\<\>\"", 
      ",", "\"\<and\>\"", ",", "\"\<\>\"", ",", 
      "\"\<Universidad Autonoma de Madrid (UAM)\>\"", ",", 
      RowBox[{"Show", "[", 
       RowBox[{
        GraphicsBox[
         TagBox[RasterBox[CompressedData["
1:eJztfAeYFUX2/QRyhiHPkHOGISmK4AKyBoxkFBFQQRdhRVl1RVwVUMCEoqsI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           "], {{0, 45}, {162, 0}}, {0, 255},
           ColorFunction->RGBColor],
          BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
          Selectable->False],
         BaseStyle->"ImageGraphics",
         ImageSize->Automatic,
         ImageSizeRaw->{162, 45},
         PlotRange->{{0, 162}, {0, 45}}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "150"}]}], "]"}], ",", 
      "\[IndentingNewLine]", "\"\<\>\"", ",", "\"\<\>\"", ",", 
      "\"\<CosmoMC was created by A.Lewis, see cosmologist.info\>\"", ",", 
      "\"\<\>\"", ",", 
      "\"\<WMAP was created by NASA, see map.gsfc.nasa.gov\>\"", ",", 
      "\[IndentingNewLine]", "\"\<\>\"", ",", 
      "\"\<Mathematica was created by Wolfram Research, see \
wolfram.com/mathematica\>\""}], "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MyRound", "[", 
   RowBox[{"x_", ",", "n_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"10.", "^", 
    RowBox[{"-", "n"}]}], " ", 
   RowBox[{"IntegerPart", "[", 
    RowBox[{
     SuperscriptBox["10", "n"], " ", "x"}], "]"}]}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.532685862302923*^9, 3.532685943875589*^9}, {
   3.532686030056518*^9, 3.532686030401538*^9}, {3.532686100791564*^9, 
   3.5326861296012115`*^9}, {3.5326982445751486`*^9, 3.532698244882166*^9}, 
   3.5591430003633003`*^9, {3.5591431203034687`*^9, 3.559143231713626*^9}, {
   3.559143308077734*^9, 3.5591433290517635`*^9}, {3.5591433948738565`*^9, 
   3.559143457894945*^9}, {3.559144300301132*^9, 3.5591443004811325`*^9}, {
   3.5591443480202*^9, 3.559144424703308*^9}, {3.5591444565483527`*^9, 
   3.5591444776423826`*^9}, {3.5591445230104465`*^9, 3.559144585160534*^9}, {
   3.559144620006583*^9, 3.559144644300617*^9}, {3.559144693390687*^9, 
   3.5591447422387557`*^9}, {3.5591447862558174`*^9, 3.559144825392873*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Create2D", "[", 
   RowBox[{"par1_", ",", "par2_", ",", "brn_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "sh1", ",", "xmin0", ",", "xmax0", ",", "ymin0", ",", "ymax0", ",", "dx",
       ",", "dy"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Clear", "[", 
      RowBox[{"test", ",", "sand`sh0"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"test", "=", 
      RowBox[{"CalcData", "[", 
       RowBox[{"par1", ",", "par2", ",", "brn"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"sand`params1", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"onomata", "[", "par1", "]"}], ",", 
        RowBox[{"onomata", "[", "par2", "]"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"xmin0", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"test", "[", 
         RowBox[{"[", "2", "]"}], "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "1"}], "]"}], "]"}], "//", "Min"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"xmax0", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"test", "[", 
         RowBox[{"[", "2", "]"}], "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "1"}], "]"}], "]"}], "//", "Max"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ymin0", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"test", "[", 
         RowBox[{"[", "2", "]"}], "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], "//", "Min"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ymax0", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"test", "[", 
         RowBox[{"[", "2", "]"}], "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], "//", "Max"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"dx", "=", 
      RowBox[{"Abs", "[", 
       RowBox[{"xmax0", "-", "xmin0"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"dy", "=", 
      RowBox[{"Abs", "[", 
       RowBox[{"ymax0", "-", "ymin0"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"sand`sh0", "=", 
      RowBox[{"Show", "[", 
       RowBox[{
        RowBox[{"Confid2D", "[", 
         RowBox[{
          RowBox[{"test", "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "Blue", ",", "3"}], "]"}], 
        ",", 
        RowBox[{"Confid2D", "[", 
         RowBox[{
          RowBox[{"test", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "Red", ",", "3"}], "]"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"xmin0", ",", "xmax0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"ymin0", ",", "ymax0"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
        RowBox[{"FrameLabel", "\[Rule]", "sand`params1"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"sand`sh1", "=", 
      RowBox[{"Confid1D", "[", 
       RowBox[{
        RowBox[{"test", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"onomata", "[", "sand`p1", "]"}], ",", "\"\<\>\""}], "}"}], 
        ",", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"sand`sh2", "=", 
      RowBox[{"Confid1D", "[", 
       RowBox[{
        RowBox[{"test", "[", 
         RowBox[{"[", "4", "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"onomata", "[", "sand`p2", "]"}], ",", "\"\<\>\""}], "}"}], 
        ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"sh1", "=", 
      RowBox[{"Manipulate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"sand`sh0", "/.", 
           RowBox[{
            RowBox[{"sand`sh0", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "1", ",", "1"}], "]"}], "]"}], "\[Rule]", 
            "color2"}]}], "/.", 
          RowBox[{
           RowBox[{"sand`sh0", "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], "\[Rule]", 
           "color1"}]}], "/.", 
         RowBox[{
          RowBox[{"sand`sh0", "[", 
           RowBox[{"[", 
            RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"xmin", ",", "xmax"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"ymin", ",", "ymax"}], "}"}]}], "}"}]}]}], ",", 
        RowBox[{"OpenerView", "[", 
         RowBox[{"{", 
          RowBox[{"\"\<Colors\>\"", ",", 
           RowBox[{"Column", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Control", "[", 
               RowBox[{"{", 
                RowBox[{"color1", ",", "Red", ",", "ColorSlider"}], "}"}], 
               "]"}], ",", 
              RowBox[{"Control", "[", 
               RowBox[{"{", 
                RowBox[{"color2", ",", "Blue", ",", "ColorSlider"}], "}"}], 
               "]"}]}], "\[IndentingNewLine]", "}"}], "]"}]}], "}"}], "]"}], 
        ",", 
        RowBox[{"OpenerView", "[", 
         RowBox[{"{", 
          RowBox[{"\"\<Plot range\>\"", ",", 
           RowBox[{"Column", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Control", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"xmin", ",", "xmin0"}], "}"}], ",", 
                 RowBox[{"xmin0", "-", "dx"}], ",", "xmin0"}], "}"}], "]"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{"Control", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"xmax", ",", "xmax0"}], "}"}], ",", "xmax0", ",", 
                 RowBox[{"xmax0", "+", "dx"}]}], "}"}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Control", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"ymin", ",", "ymin0"}], "}"}], ",", 
                 RowBox[{"ymin0", "-", "dy"}], ",", "ymin0"}], "}"}], "]"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{"Control", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"ymax", ",", "ymax0"}], "}"}], ",", "ymax0", ",", 
                 RowBox[{"ymax0", "+", "dy"}]}], "}"}], "]"}]}], 
             "\[IndentingNewLine]", "}"}], "]"}]}], "}"}], "]"}], ",", 
        RowBox[{"ControlPlacement", " ", "\[Rule]", " ", "Bottom"}], ",", 
        RowBox[{"Paneled", "\[Rule]", "False"}]}], "]"}]}]}]}], 
   "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.529242256323518*^9, 3.5292423361380835`*^9}, {
   3.5292456173797593`*^9, 3.529245627613345*^9}, {3.5292462180451155`*^9, 
   3.529246218231126*^9}, {3.529309898969191*^9, 3.5293099140550537`*^9}, {
   3.531659179284604*^9, 3.5316592352118025`*^9}, {3.531659315738409*^9, 
   3.5316593281091166`*^9}, {3.5316593662582984`*^9, 3.531659413407995*^9}, {
   3.5316594503171062`*^9, 3.5316596040649*^9}, {3.5316596913928947`*^9, 
   3.531659692736972*^9}, {3.5316598178621283`*^9, 3.5316598527401237`*^9}, {
   3.531660004803821*^9, 3.5316600994342337`*^9}, {3.531660289729118*^9, 
   3.5316602921012535`*^9}, {3.531660484674268*^9, 3.531660484895281*^9}, {
   3.531660897583885*^9, 3.5316608979219046`*^9}, {3.531660931434821*^9, 
   3.5316609318248434`*^9}, {3.5316611367925673`*^9, 
   3.5316611394587193`*^9}, {3.53166134245333*^9, 3.5316613569561596`*^9}, {
   3.5316613945453095`*^9, 3.531661403039796*^9}, {3.531661680459663*^9, 
   3.53166168250778*^9}, 3.531808456228266*^9, 3.5318121975622582`*^9, {
   3.531812452924864*^9, 3.531812453130876*^9}, {3.531812537451699*^9, 
   3.5318125514885015`*^9}, {3.5318130518831224`*^9, 
   3.5318130532241993`*^9}, {3.532436762324075*^9, 3.532436770517544*^9}, {
   3.532436840998575*^9, 3.5324368440467496`*^9}, {3.5324471777648325`*^9, 
   3.532447179785948*^9}, {3.5324524169184947`*^9, 3.5324524173125176`*^9}, {
   3.5326879300751925`*^9, 3.5326879545955954`*^9}, {3.53268805678344*^9, 
   3.532688062425763*^9}, {3.532688130138636*^9, 3.5326881305466595`*^9}, {
   3.532695326287232*^9, 3.532695361417241*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Confid1D", "[", 
   RowBox[{"data_", ",", "frlabel_", ",", "pln_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "histo", ",", "data0", ",", "data1", ",", "xmin0", ",", "xmax0", ",", 
      "dx"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"histo", "=", 
      RowBox[{"HistogramDistribution", "[", 
       RowBox[{
        RowBox[{"data", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "1"}], "]"}], "]"}], ",", "20"}], "]"}]}], ";", 
     RowBox[{"data0", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{
        RowBox[{"PDF", "[", 
         RowBox[{"histo", ",", "x"}], "]"}], ",", 
        RowBox[{
         RowBox[{"n_", "*", 
          RowBox[{"Boole", "[", 
           RowBox[{"x1_", "\[LessEqual]", "x_", "<", "x2_"}], "]"}]}], 
         "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Mean", "[", 
            RowBox[{"{", 
             RowBox[{"x1", ",", "x2"}], "}"}], "]"}], ",", "n"}], "}"}]}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"data1", "=", 
      RowBox[{"data0", "/.", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x_", ",", "y_"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"y", "/", 
           RowBox[{"Max", "[", 
            RowBox[{"data0", "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}]}]}], "}"}]}]}]}],
      ";", "\[IndentingNewLine]", 
     RowBox[{"xmin0", "=", 
      RowBox[{"Min", "[", 
       RowBox[{"data1", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "1"}], "]"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"xmax0", "=", 
      RowBox[{"Max", "[", 
       RowBox[{"data1", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "1"}], "]"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"dx", "=", 
      RowBox[{"Abs", "[", 
       RowBox[{"xmax0", "-", "xmin0"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"sand`sh1d", "[", "pln", "]"}], "=", 
      RowBox[{"ListPlot", "[", 
       RowBox[{"data1", ",", 
        RowBox[{"Joined", "\[Rule]", "True"}], ",", 
        RowBox[{"InterpolationOrder", "\[Rule]", "2"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", "Black"}], ",", 
        RowBox[{"Frame", "\[Rule]", "True"}], ",", 
        RowBox[{"FrameLabel", "\[Rule]", "frlabel"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
        RowBox[{"Axes", "\[Rule]", "False"}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Manipulate", "[", 
      RowBox[{
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"sand`sh1d", "[", "pln", "]"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"xmin", ",", "xmax"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1.05"}], "}"}]}], "}"}]}]}], "]"}], ",", 
       RowBox[{"OpenerView", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<Plot range\>\"", ",", 
          RowBox[{"Column", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Control", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"xmin", ",", "xmin0"}], "}"}], ",", 
                RowBox[{"xmin0", "+", 
                 RowBox[{"dx", "/", "2"}]}], ",", "xmin0"}], "}"}], "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Control", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"xmax", ",", "xmax0"}], "}"}], ",", "xmax0", ",", 
                RowBox[{"xmax0", "+", "dx"}]}], "}"}], "]"}]}], "}"}], 
           "]"}]}], "}"}], "]"}], ",", 
       RowBox[{"ControlPlacement", " ", "\[Rule]", " ", "Bottom"}], ",", 
       RowBox[{"Paneled", "\[Rule]", "False"}]}], "]"}]}]}], "]"}]}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 InitializationCell->True,
 CellChangeTimes->{{3.5287225671082244`*^9, 3.528722700663863*^9}, 
   3.52880566121347*^9, {3.528806512065136*^9, 3.5288065166784*^9}, {
   3.53244996668935*^9, 3.5324499973961062`*^9}, {3.532450226759225*^9, 
   3.532450297005243*^9}, {3.532450346378067*^9, 3.532450446501794*^9}, {
   3.5324504805677423`*^9, 3.532450530854618*^9}, {3.5324506140303755`*^9, 
   3.532450614423398*^9}, 3.5324507441758194`*^9, 3.5324512025060344`*^9, {
   3.5324513084820957`*^9, 3.532451313047357*^9}, {3.532451367626479*^9, 
   3.5324513787421145`*^9}, {3.532451503828269*^9, 3.5324515095245953`*^9}, {
   3.5324515645757437`*^9, 3.5324515649457645`*^9}, {3.5324516667915897`*^9, 
   3.5324516750670633`*^9}, {3.5324519157958326`*^9, 
   3.5324519657036867`*^9}, {3.532452046169289*^9, 3.5324520526346593`*^9}, 
   3.532452109133891*^9, {3.5324521529413967`*^9, 3.532452167010201*^9}, 
   3.5324522324409437`*^9, {3.5324524243049173`*^9, 3.5324524247989454`*^9}, {
   3.5326870852748733`*^9, 3.5326870994266825`*^9}, {3.532688141191268*^9, 
   3.5326881463565636`*^9}, {3.532688227331195*^9, 3.5326882276882153`*^9}, {
   3.5326884950315065`*^9, 3.532688509916358*^9}, {3.5326902376471786`*^9, 
   3.5326902379431953`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CalcData", "[", 
   RowBox[{"d1_", ",", "d2_", ",", "brn_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "datacont", ",", "data1spos", ",", "data2spos", ",", "data1s", ",", 
      "data2s", ",", "data1Dp1", ",", "data1Dp2"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"NumberQ", "[", "brn", "]"}], ",", 
       RowBox[{"brn", ";"}], ",", 
       RowBox[{
        RowBox[{"brn", "=", "1"}], ";"}]}], "]"}], ";", 
     RowBox[{"datacont", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"ToExpression", "[", "d1", "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"ToExpression", "[", "d2", "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"lnlike", "[", 
            RowBox[{"[", 
             RowBox[{"i", ",", "2"}], "]"}], "]"}], "-", "Lmin"}]}], "}"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "brn", ",", "len"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"data1spos", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"datacont", ",", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x_", ",", "y_", ",", "z_"}], "}"}], "?", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "3", "]"}], "]"}], "<", 
            RowBox[{"2.3", "/", "2"}]}], "&"}], ")"}]}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"data2spos", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"datacont", ",", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x_", ",", "y_", ",", "z_"}], "}"}], "?", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "3", "]"}], "]"}], "<", 
            RowBox[{"6.18", "/", "2"}]}], "&"}], ")"}]}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"data1s", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"data1spos", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "1"}], "]"}], "]"}], ",", 
          RowBox[{"data1spos", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"Length", "[", "data1spos", "]"}]}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"data2s", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"data2spos", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "1"}], "]"}], "]"}], ",", 
          RowBox[{"data2spos", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"Length", "[", "data2spos", "]"}]}], "}"}]}], "]"}]}], ";", 
     RowBox[{"data1Dp1", "=", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"ToExpression", "[", "d1", "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"Exp", "[", 
            RowBox[{
             RowBox[{"lnlike", "[", 
              RowBox[{"[", 
               RowBox[{"i", ",", "2"}], "]"}], "]"}], "-", "Lmin"}], "]"}]}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "brn", ",", "len"}], "}"}]}], "]"}], "//", 
       "Chop"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"data1Dp2", "=", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"ToExpression", "[", "d2", "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"Exp", "[", 
            RowBox[{
             RowBox[{"lnlike", "[", 
              RowBox[{"[", 
               RowBox[{"i", ",", "2"}], "]"}], "]"}], "-", "Lmin"}], "]"}]}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "brn", ",", "len"}], "}"}]}], "]"}], "//", 
       "Chop"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"data1s", ",", "data2s", ",", "data1Dp1", ",", "data1Dp2"}], 
      "}"}]}]}], "]"}]}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 InitializationCell->True,
 CellChangeTimes->{{3.528805752320681*^9, 3.5288057627782793`*^9}, {
   3.528805795261137*^9, 3.528805920043274*^9}, 3.5288065166784*^9, {
   3.5324367788950233`*^9, 3.532436796268017*^9}, {3.5324407033584895`*^9, 
   3.5324407049435806`*^9}, {3.532448657611475*^9, 3.53244867046321*^9}, {
   3.5324487193800077`*^9, 3.5324487458275204`*^9}, {3.5324488169465885`*^9, 
   3.532448818286665*^9}, {3.532449646081012*^9, 3.5324496513723145`*^9}, {
   3.532688319220451*^9, 3.5326883284159765`*^9}, {3.532688736914342*^9, 
   3.5326887371033525`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"End", " ", "of", " ", "definitions"}], " ", "*)"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 InitializationCell->True,
 CellChangeTimes->{{3.528805651126893*^9, 3.52880566121347*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Read", " ", "data"}], " ", "*)"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 InitializationCell->True,
 CellChangeTimes->{{3.5288056316097765`*^9, 3.52880566121347*^9}, {
  3.528806512065136*^9, 3.5288065166784*^9}, {3.530200277792637*^9, 
  3.5302002819608755`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"onomata", "[", "pp_", "]"}], ":=", 
  RowBox[{"Switch", "[", 
   RowBox[{
   "pp", ",", "\"\<omegabh2\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(b\)]\)\!\(\*SuperscriptBox[\(h\), \(2\)]\)\>\"", ",", "\"\<omegadmh2\>\"", 
    ",", "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(CDM\)]\)\!\(\*SuperscriptBox[\(h\), \(2\)]\)\>\"", ",", "\"\<theta\>\"", 
    ",", "\"\<\[Theta]\>\"", ",", "\"\<tau\>\"", ",", "\"\<\[Tau]\>\"", ",", 
    "\"\<omegak\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(K\)]\)\>\"", ",", 
    "\"\<fnu\>\"", ",", "\"\<\!\(\*SubscriptBox[\(f\), \(nu\)]\)\>\"", ",", 
    "\"\<w\>\"", ",", "\"\<w\>\"", ",", "\"\<ns\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(n\), \(s\)]\)\>\"", ",", "\"\<nt\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(n\), \(t\)]\)\>\"", ",", "\"\<nrun\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(n\), \(run\)]\)\>\"", ",", "\"\<logA\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(log\), \(10\)]\)(A)\>\"", ",", "\"\<r\>\"", 
    ",", "\"\<r\>\"", ",", "\"\<asz\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(a\), \(SZ\)]\)\>\"", ",", "\"\<omegal\>\"", 
    ",", "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(\[CapitalLambda]\)]\)\
\>\"", ",", "\"\<age\>\"", ",", "\"\<Age\>\"", ",", "\"\<omegam\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(m\)]\)\>\"", ",", 
    "\"\<sigma8\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(\[Sigma]\), \(8\)]\)\>\"", ",", "\"\<zrei\>\"", 
    ",", "\"\<\!\(\*SubscriptBox[\(z\), \(rei\)]\)\>\"", ",", "\"\<r10\>\"", 
    ",", "\"\<\!\(\*SubscriptBox[\(r\), \(10\)]\)\>\"", ",", "\"\<H0\>\"", 
    ",", "\"\<\!\(\*SubscriptBox[\(H\), \(0\)]\)\>\"", ",", "\"\<a002\>\"", 
    ",", "\"\<\!\(\*SubscriptBox[\(a\), \(002\)]\)\>\"", ",", 
    "\"\<Abaoz035\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(A\), \(bao\)]\)(z=0.35)\>\"", ",", 
    "\"\<agestar\>\"", ",", "\"\<Age*\>\"", ",", "\"\<c220\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(C\), \(220\)]\)\>\"", ",", "\"\<daeq\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(D\), \(A - eq\)]\)\>\"", ",", "\"\<dastar\>\"", 
    ",", "\"\<\!\(\*SubscriptBox[\(D\), \(\(A\)\(*\)\)]\)\>\"", ",", 
    "\"\<mnu\>\"", ",", "\"\<\!\(\*SubscriptBox[\(m\), \(nu\)]\)\>\"", ",", 
    "\"\<ns002\>\"", ",", "\"\<\!\(\*SubscriptBox[\(n\), \(s\)]\)\>\"", ",", 
    "\"\<omegab\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(b\)]\)\>\"", ",", 
    "\"\<omegac\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(CDM\)]\)\>\"", ",", 
    "\"\<omegach2\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(CDM\)]\)\!\(\*SuperscriptBox[\(h\), \(2\)]\)\>\"", ",", "\"\<omegamh2\>\"", 
    ",", "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(m\)]\)\!\(\*SuperscriptBox[\(h\), \(2\)]\)\>\"", ",", "\"\<rsdrag\>\"", 
    ",", "\"\<\!\(\*SubscriptBox[\(rs\), \(drag\)]\)\>\"", ",", 
    "\"\<rsdvz02\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(rs\), \(dv\)]\)(z=0.2)\>\"", ",", 
    "\"\<rsdvz035\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(rs\), \(dv\)]\)(z=0.35)\>\"", ",", 
    "\"\<rsstar\>\"", ",", "\"\<\!\(\*SubscriptBox[\(rs\), \(*\)]\)\>\"", 
    ",", "\"\<shift\>\"", ",", "\"\<\!\(\*SubscriptBox[\(R\), \(CMB\)]\)\>\"",
     ",", "\"\<thetastar\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(\[Theta]\), \(*\)]\)\>\"", ",", "\"\<trec\>\"", 
    ",", "\"\<\!\(\*SubscriptBox[\(t\), \(rec\)]\)\>\"", ",", "\"\<zdrag\>\"",
     ",", "\"\<\!\(\*SubscriptBox[\(z\), \(drag\)]\)\>\"", ",", "\"\<zeq\>\"",
     ",", "\"\<\!\(\*SubscriptBox[\(z\), \(eq\)]\)\>\"", ",", "\"\<zrec\>\"", 
    ",", "\"\<\!\(\*SubscriptBox[\(z\), \(rec\)]\)\>\"", ",", "\"\<zstar\>\"",
     ",", "\"\<\!\(\*SubscriptBox[\(z\), \(*\)]\)\>\"", ",", "_", ",", "pp"}],
    "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"invonomata", "[", "pp_", "]"}], ":=", 
  RowBox[{"Switch", "[", 
   RowBox[{
   "pp", ",", 
    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(b\)]\)\!\(\*SuperscriptBox[\(h\), \(2\)]\)\>\"", ",", "\"\<omegabh2\>\"", 
    ",", "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(m\)]\)\>\"", ",", 
    "\"\<omegam\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(\[CapitalLambda]\)]\)\>\"",
     ",", "\"\<omegal\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(b\)]\)\>\"", ",", 
    "\"\<omegab\>\"", ",", "\"\<w\>\"", ",", "\"\<w\>\"", ",", 
    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(K\)]\)\>\"", ",", 
    "\"\<omegak\>\"", ",", "\"\<\!\(\*SubscriptBox[\(n\), \(s\)]\)\>\"", ",", 
    "\"\<ns\>\"", ",", "_", ",", "pp"}], "]"}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.529308163935953*^9, 3.5293082071914268`*^9}, 
   3.529308343656232*^9, {3.5293084298661633`*^9, 3.529308430017172*^9}, 
   3.529308806698717*^9, {3.529308866589142*^9, 3.5293088700353394`*^9}, {
   3.529308971554146*^9, 3.529309043866282*^9}, {3.5293090774282017`*^9, 
   3.529309133386402*^9}, {3.529309175716823*^9, 3.529309327126484*^9}, {
   3.5293093976365166`*^9, 3.5293096148729415`*^9}, {3.5293097544429245`*^9, 
   3.529309778456298*^9}, {3.559373789698888*^9, 3.559373790038888*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ReadDataWMAP", "[", "file_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"minmax", ",", "bestfitpos", ",", "plot"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"SetDirectory", "[", 
      RowBox[{"DirectoryName", "[", "file", "]"}], "]"}], ";", 
     RowBox[{"fnms0", "=", 
      RowBox[{"Delete", "[", 
       RowBox[{
        RowBox[{"FileNames", "[", "\"\<./*\>\"", "]"}], ",", 
        RowBox[{
         RowBox[{"Position", "[", 
          RowBox[{
           RowBox[{"FileNames", "[", "\"\<./*\>\"", "]"}], ",", 
           "\"\<.\\\\logfile.txt\>\""}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"params", "=", 
      RowBox[{
       RowBox[{"StringTake", "[", 
        RowBox[{
         RowBox[{"StringReplace", "[", 
          RowBox[{"fnms0", ",", 
           RowBox[{"\"\<_\>\"", "->", "\"\<\>\""}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"3", ",", 
           RowBox[{"-", "1"}]}], "}"}]}], "]"}], "//", "onomata"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"fnms", "=", 
      RowBox[{
       RowBox[{"StringTake", "[", 
        RowBox[{
         RowBox[{"StringReplace", "[", 
          RowBox[{"fnms0", ",", 
           RowBox[{"\"\<_\>\"", "->", "\"\<\>\""}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"3", ",", 
           RowBox[{"-", "1"}]}], "}"}]}], "]"}], "//", "ToExpression"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Evaluate", "[", 
          RowBox[{"fnms", "[", 
           RowBox[{"[", "i2", "]"}], "]"}], "]"}], "=", 
         RowBox[{"ReadList", "[", 
          RowBox[{
           RowBox[{"fnms0", "[", 
            RowBox[{"[", "i2", "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"Number", ",", "Number"}], "}"}]}], "]"}]}], ")"}], ",", 
       RowBox[{"{", 
        RowBox[{"i2", ",", "1", ",", 
         RowBox[{"Length", "[", "fnms0", "]"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"len", "=", 
      RowBox[{"Length", "[", "lnlike", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"minmax", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Min", "[", 
         RowBox[{"lnlike", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}], ",", 
        RowBox[{"Max", "[", 
         RowBox[{"lnlike", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Lmin", "=", 
      RowBox[{"minmax", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Lmax", "=", 
      RowBox[{"minmax", "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"bestfitpos", "=", 
      RowBox[{
       RowBox[{"Position", "[", 
        RowBox[{
         RowBox[{"lnlike", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "Lmin"}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"plot", "=", 
      RowBox[{"ListPlot", "[", 
       RowBox[{"lnlike", ",", 
        RowBox[{"Joined", "\[Rule]", "True"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Lmin", "-", "3"}], ",", 
           RowBox[{"Lmax", "+", "5"}]}], "}"}]}], ",", 
        RowBox[{"Frame", "\[Rule]", "True"}], ",", 
        RowBox[{"FrameLabel", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
          "\"\<# of samples\>\"", ",", 
           "\"\<\!\(\*SuperscriptBox[\(\[Chi]\), \(2\)]\)/2\>\""}], "}"}]}], 
        ",", 
        RowBox[{"ImageSize", "\[Rule]", "300"}]}], "]"}]}], ";", 
     RowBox[{"Return", "[", "plot", "]"}]}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.52907193446123*^9, 3.5290720798995485`*^9}, {
   3.5290729464201107`*^9, 3.5290729542965612`*^9}, {3.52924208694983*^9, 
   3.5292420873148513`*^9}, {3.5292457532095284`*^9, 3.529245768195386*^9}, {
   3.529246175904705*^9, 3.529246176376732*^9}, {3.5293042451638117`*^9, 
   3.529304245692842*^9}, {3.529304921635504*^9, 3.5293049276248465`*^9}, {
   3.52930627917115*^9, 3.5293062858715334`*^9}, {3.529306347165039*^9, 
   3.529306348720128*^9}, {3.52930779953211*^9, 3.5293077998961306`*^9}, {
   3.5311368363404818`*^9, 3.5311368377145605`*^9}, {3.5322649857534676`*^9, 
   3.532264986178492*^9}, 3.532437898694072*^9, {3.5324387658836727`*^9, 
   3.5324387661016846`*^9}, {3.5326957697735977`*^9, 3.532695799033272*^9}, {
   3.55914295760524*^9, 3.559142959156242*^9}, 3.5591440881538334`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ReadDataCosmoMC", "[", "file_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "chain0", ",", "chain1", ",", "minmax", ",", "bestfitpos", ",", "plot", 
      ",", "params0", ",", "ymin0", ",", "xmax0"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"SetDirectory", "[", 
      RowBox[{"DirectoryName", "[", "file", "]"}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"chain0", "=", "file"}], ";", "\[IndentingNewLine]", 
     RowBox[{"params0", "=", 
      RowBox[{
       RowBox[{"StringTake", "[", 
        RowBox[{
         RowBox[{"FileBaseName", "[", "file", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"-", "3"}]}], "}"}]}], "]"}], "<>", 
       "\"\<.paramnames\>\""}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"params", "=", 
      RowBox[{"StringReplace", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Import", "[", "params0", "]"}], "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", "1"}], "]"}], "]"}], "//", "StringTrim"}], ",", 
        RowBox[{"\"\<*\>\"", "->", "\"\<\>\""}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"chain1", "=", 
      RowBox[{"ReadList", "[", 
       RowBox[{"chain0", ",", 
        RowBox[{"Evaluate", "[", 
         RowBox[{"Table", "[", 
          RowBox[{"Number", ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1", ",", 
             RowBox[{
              RowBox[{"Length", "[", "params", "]"}], "+", "2"}]}], "}"}]}], 
          "]"}], "]"}]}], "]"}]}], ";", 
     RowBox[{"weight", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"i", ",", 
          RowBox[{"chain1", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"Length", "[", "chain1", "]"}]}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"lnlike", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"i", ",", 
          RowBox[{"chain1", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"Length", "[", "chain1", "]"}]}], "}"}]}], "]"}]}], ";", 
     RowBox[{"fnms", "=", 
      RowBox[{"params", "//", "ToExpression"}]}], ";", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Evaluate", "[", 
          RowBox[{"fnms", "[", 
           RowBox[{"[", "i1", "]"}], "]"}], "]"}], "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"i", ",", 
             RowBox[{"chain1", "[", 
              RowBox[{"[", 
               RowBox[{"i", ",", 
                RowBox[{"i1", "+", "2"}]}], "]"}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1", ",", 
             RowBox[{"Length", "[", "chain1", "]"}]}], "}"}]}], "]"}]}], 
        ")"}], ",", 
       RowBox[{"{", 
        RowBox[{"i1", ",", "1", ",", 
         RowBox[{"Length", "[", "params", "]"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"len", "=", 
      RowBox[{"Length", "[", "lnlike", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"minmax", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Min", "[", 
         RowBox[{"lnlike", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}], ",", 
        RowBox[{"Max", "[", 
         RowBox[{"lnlike", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Lmin", "=", 
      RowBox[{"minmax", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Lmax", "=", 
      RowBox[{"minmax", "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"bestfitpos", "=", 
      RowBox[{
       RowBox[{"Position", "[", 
        RowBox[{
         RowBox[{"lnlike", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "Lmin"}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"sand`plot", "=", 
      RowBox[{"ListPlot", "[", 
       RowBox[{"lnlike", ",", 
        RowBox[{"Joined", "\[Rule]", "True"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Lmin", "-", "3"}], ",", 
           RowBox[{"Lmin", "+", "50"}]}], "}"}]}], ",", 
        RowBox[{"Frame", "\[Rule]", "True"}], ",", 
        RowBox[{"FrameLabel", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
          "\"\<# of samples\>\"", ",", 
           "\"\<\!\(\*SuperscriptBox[\(\[Chi]\), \(2\)]\)/2\>\""}], "}"}]}], 
        ",", 
        RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
        RowBox[{"PlotRangeClipping", "\[Rule]", "False"}], ",", 
        RowBox[{"Axes", "\[Rule]", "False"}]}], "]"}]}], ";", 
     RowBox[{"ymin0", "=", 
      RowBox[{"Min", "[", 
       RowBox[{"lnlike", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"xmax0", "=", 
      RowBox[{
       RowBox[{"lnlike", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "1"}], "]"}], "]"}], "//", "Max"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Manipulate", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"sand`burnin", "=", 
           RowBox[{"IntegerPart", "[", "Burnin", "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Show", "[", 
           RowBox[{
            RowBox[{"ReplacePart", "[", 
             RowBox[{"sand`plot", ",", 
              RowBox[{
               RowBox[{"Position", "[", 
                RowBox[{"sand`plot", ",", 
                 RowBox[{"PlotRange", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"x_", ",", "y_"}], "}"}]}]}], "]"}], "->", 
               RowBox[{"PlotRange", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"1", ",", "xmax"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"ymin", ",", "ymax"}], "}"}]}], "}"}]}]}]}], "]"}],
             ",", 
            RowBox[{"Graphics", "[", 
             RowBox[{"{", 
              RowBox[{"Red", ",", "Dashed", ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"Burnin", ",", "ymin"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"Burnin", ",", "ymax"}], "}"}]}], "}"}], "]"}]}], 
              "}"}], "]"}], ",", 
            RowBox[{"Epilog", "\[Rule]", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"\"\<Burnin= \>\"", "<>", 
                RowBox[{"ToString", "[", 
                 RowBox[{"IntegerPart", "[", "Burnin", "]"}], "]"}]}], ",", 
               "Right", ",", 
               RowBox[{"{", 
                RowBox[{"1.5", ",", 
                 RowBox[{"-", "12"}]}], "}"}]}], "]"}]}]}], "]"}]}], ",", 
         RowBox[{"OpenerView", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<Settings\>\"", ",", 
            RowBox[{"Column", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Control", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"Burnin", ",", "1"}], "}"}], ",", "1", ",", 
                  RowBox[{"xmax", "-", "1"}]}], "}"}], "]"}], ",", 
               RowBox[{"Control", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"xmax", ",", "xmax0"}], "}"}], ",", "xmax0", ",", 
                  "5"}], "}"}], "]"}], ",", 
               RowBox[{"Control", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"ymin", ",", "ymin0"}], "}"}], ",", 
                  RowBox[{"ymin0", "-", "50"}], ",", "ymin0"}], "}"}], "]"}], 
               ",", 
               RowBox[{"Control", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"ymax", ",", 
                    RowBox[{"ymin0", "+", "50"}]}], "}"}], ",", 
                  RowBox[{"ymin0", "+", "50"}], ",", 
                  RowBox[{"ymin0", "+", "1"}]}], "}"}], "]"}]}], 
              "\[IndentingNewLine]", "}"}], "]"}]}], "}"}], "]"}], ",", 
         RowBox[{"ControlPlacement", " ", "\[Rule]", " ", "Bottom"}], ",", 
         RowBox[{"Paneled", "\[Rule]", "False"}]}], "]"}], "}"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5293042374823723`*^9, 3.5293042422246437`*^9}, {
   3.5293046554312778`*^9, 3.529304668482024*^9}, {3.5293047003568473`*^9, 
   3.5293048057538757`*^9}, {3.5293048733207407`*^9, 3.529304892257824*^9}, {
   3.5293050967425194`*^9, 3.529305118471762*^9}, {3.529308253645084*^9, 
   3.5293082539691024`*^9}, 3.5311408716432877`*^9, 3.531486985991001*^9, 
   3.531487281996931*^9, {3.5322649880916014`*^9, 3.532264988508625*^9}, {
   3.532437915022006*^9, 3.5324379150890093`*^9}, 3.532438055210024*^9, {
   3.532438768789839*^9, 3.532438769026852*^9}, {3.5324410610019455`*^9, 
   3.5324410787559614`*^9}, {3.532441165491922*^9, 3.532441198928835*^9}, {
   3.5324419437954383`*^9, 3.5324419545670547`*^9}, 3.5324475508601723`*^9, {
   3.532448094298255*^9, 3.532448116695536*^9}, {3.53244826677312*^9, 
   3.5324482711713715`*^9}, {3.532448391930279*^9, 3.5324484251851807`*^9}, {
   3.5324490776254983`*^9, 3.532449084062866*^9}, {3.53268757091965*^9, 
   3.532687571059658*^9}, {3.5326959311588287`*^9, 3.5326959357010884`*^9}, 
   3.5591440903148365`*^9, {3.559301792107301*^9, 3.5593018337756844`*^9}, 
   3.559373451257411*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Main", " ", "routine"}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Chains", "[", "]"}], ":=", 
  RowBox[{"CreateDocument", "[", 
   RowBox[{
    RowBox[{"TabView", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<Choose chain\>\"", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"Column", "[", 
           RowBox[{"{", 
            RowBox[{
            "\"\<\>\"", ",", 
             "\"\<Use this button to browse for a WMAP chain\>\"", ",", 
             "\"\<\>\"", ",", 
             RowBox[{"FileNameSetter", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", "file", "]"}], ",", 
               RowBox[{
               "WindowTitle", "\[Rule]", 
                "\"\<Open chain for analysis...\>\""}], ",", 
               RowBox[{
               "Appearance", "\[Rule]", "\"\<Open WMAP chain...\>\""}]}], 
              "]"}], ",", "\"\<\>\"", ",", "\[IndentingNewLine]", 
             "\"\<Use this button to browse for a CosmoMC chain\>\"", ",", 
             "\"\<\>\"", ",", 
             RowBox[{"FileNameSetter", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", "file1", "]"}], ",", 
               RowBox[{
               "WindowTitle", "\[Rule]", 
                "\"\<Open chain for analysis...\>\""}], ",", 
               RowBox[{
               "Appearance", "\[Rule]", "\"\<Open CosmoMC chain...\>\""}]}], 
              "]"}], ",", 
             RowBox[{"Dynamic", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Clear", "[", 
                 RowBox[{
                 "test", ",", "len", ",", "fnms0", ",", "fnms", ",", "params",
                   ",", "weight", ",", "lnlike", ",", "Lmin", ",", "Lmax", 
                  ",", "\"\<sand`*\>\""}], "]"}], ";", 
                RowBox[{"Which", "[", 
                 RowBox[{
                  RowBox[{"StringQ", "[", "file", "]"}], ",", 
                  RowBox[{"ReadDataWMAP", "[", "file", "]"}], ",", 
                  RowBox[{"StringQ", "[", "file1", "]"}], ",", 
                  RowBox[{"ReadDataCosmoMC", "[", "file1", "]"}], ",", "True",
                   ",", 
                  RowBox[{"Column", "[", 
                   RowBox[{"{", 
                    RowBox[{"\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\""}], 
                    "}"}], "]"}]}], "]"}]}], ",", 
               RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
                RowBox[{"{", 
                 RowBox[{"file", ",", "file1"}], "}"}]}]}], "]"}]}], "}"}], 
           "]"}], ")"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"\"\<2D plots\>\"", "\[Rule]", 
         RowBox[{"Dynamic", "[", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"StringQ", "[", "file", "]"}], "||", 
              RowBox[{"(", 
               RowBox[{"StringQ", "[", "file1", "]"}], ")"}]}], ",", 
             RowBox[{"Refresh", "[", 
              RowBox[{
               RowBox[{"Manipulate", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"sand`p1", "=", 
                   RowBox[{"invonomata", "[", 
                    RowBox[{"parameters", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ";", 
                  RowBox[{"sand`p2", "=", 
                   RowBox[{"invonomata", "[", 
                    RowBox[{"parameters", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";", 
                  RowBox[{"Create2D", "[", 
                   RowBox[{"sand`p1", ",", "sand`p2", ",", "sand`burnin"}], 
                   "]"}]}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"parameters", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(m\)]\)\>\"", ",", 
                    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(b\)]\)\!\(\
\*SuperscriptBox[\(h\), \(2\)]\)\>\""}], "}"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(m\)]\)\>\"", ",", 
                    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(b\)]\)\!\(\
\*SuperscriptBox[\(h\), \(2\)]\)\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(\
\[CapitalLambda]\)]\)\>\"", ",", 
                    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(b\)]\)\!\(\
\*SuperscriptBox[\(h\), \(2\)]\)\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(m\)]\)\>\"", ",", "\"\<\!\(\*SubscriptBox[\(n\), \(s\)]\)\>\""}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(m\)]\)\>\"", ",", "\"\<w\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(n\), \(s\)]\)\>\"", ",", 
                    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(K\)]\)\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(m\)]\)\>\"", ",", 
                    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(K\)]\)\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<w\>\"", ",", 
                    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(K\)]\)\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<w\>\"", ",", 
                    "\"\<\!\(\*SubscriptBox[\(n\), \(s\)]\)\>\""}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(K\)]\)\>\"", ",", 
                    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(b\)]\)\!\(\
\*SuperscriptBox[\(h\), \(2\)]\)\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<w\>\"", ",", 
                    
                    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(b\)]\)\!\(\
\*SuperscriptBox[\(h\), \(2\)]\)\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(n\), \(s\)]\)\>\"", ",", 
                    "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(b\)]\)\!\(\
\*SuperscriptBox[\(h\), \(2\)]\)\>\""}], "}"}]}], "}"}], ",", 
                   RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}]}],
                 "]"}], ",", 
               RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
                RowBox[{"{", "sand`burnin", "}"}]}]}], "]"}], ",", 
             "credits"}], "]"}], ",", 
           RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
            RowBox[{"{", 
             RowBox[{"file", ",", "file1", ",", "sand`burnin"}], "}"}]}]}], 
          "]"}]}], ",", 
        RowBox[{"\"\<1D plots\>\"", "\[Rule]", 
         RowBox[{"Dynamic", "[", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"StringQ", "[", "file", "]"}], "||", 
              RowBox[{"(", 
               RowBox[{"StringQ", "[", "file1", "]"}], ")"}]}], ",", 
             RowBox[{"Refresh", "[", 
              RowBox[{
               RowBox[{"TabView", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"onomata", "[", "sand`p1", "]"}], "\[Rule]", 
                   "sand`sh1"}], ",", 
                  RowBox[{
                   RowBox[{"onomata", "[", "sand`p2", "]"}], "->", 
                   "sand`sh2"}]}], "}"}], "]"}], ",", 
               RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
                RowBox[{"{", 
                 RowBox[{"sand`pl2s", ",", "sand`p1", ",", "sand`p2"}], 
                 "}"}]}]}], "]"}], ",", 
             RowBox[{"TabView", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"\"\<P1\>\"", "\[Rule]", "credits"}], ",", 
                RowBox[{"\"\<P2\>\"", "\[Rule]", "credits"}]}], "}"}], 
              "]"}]}], "]"}], ",", 
           RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
            RowBox[{"{", 
             RowBox[{"file", ",", "file1"}], "}"}]}]}], "]"}]}], ",", 
        RowBox[{"\"\<Statistics\>\"", "\[Rule]", 
         RowBox[{"Dynamic", "[", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"StringQ", "[", "file", "]"}], "||", 
              RowBox[{"(", 
               RowBox[{"StringQ", "[", "file1", "]"}], ")"}]}], ",", 
             RowBox[{"Refresh", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Join", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{
                    "\"\<Parameter\>\"", ",", "\"\<Mean\>\"", ",", 
                    "\"\<1\[Sigma] error\>\""}], "}"}], "}"}], ",", 
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"onomata", "[", 
                    RowBox[{"params", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"MyRound", "[", 
                    RowBox[{
                    RowBox[{"Mean", "[", 
                    RowBox[{
                    RowBox[{"fnms", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}], ",", 
                    "4"}], "]"}], ",", 
                    RowBox[{"MyRound", "[", 
                    RowBox[{
                    RowBox[{"StandardDeviation", "[", 
                    RowBox[{
                    RowBox[{"fnms", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}], ",", 
                    "4"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "1", ",", "20"}], "}"}]}], "]"}]}], 
                 "]"}], "//", "TableForm"}], ",", 
               RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
                RowBox[{"{", 
                 RowBox[{"sand`pl2s", ",", "sand`p1", ",", "sand`p2"}], 
                 "}"}]}]}], "]"}], ",", "credits"}], "]"}], ",", 
           RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
            RowBox[{"{", 
             RowBox[{"file", ",", "file1"}], "}"}]}]}], "]"}]}], ",", 
        RowBox[{"\"\<Credits\>\"", "->", "credits"}]}], "}"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"400", ",", "675"}], "}"}]}]}], "]"}], ",", 
    RowBox[{"WindowSize", "\[Rule]", "All"}], ",", 
    RowBox[{"WindowTitle", "\[Rule]", "\"\<Chain analysis...\>\""}]}], 
   "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5293072958853035`*^9, 3.52930730823901*^9}, {
   3.52930986310914*^9, 3.5293098742187757`*^9}, {3.5293100143167887`*^9, 
   3.5293100192260695`*^9}, {3.5293102352884274`*^9, 
   3.5293102839972134`*^9}, {3.5293104056981745`*^9, 3.529310413245606*^9}, {
   3.5302001782189417`*^9, 3.530200180145052*^9}, 3.5302007255752487`*^9, 
   3.5302008154963923`*^9, {3.5302010363530245`*^9, 3.5302010857668505`*^9}, {
   3.530201117344657*^9, 3.5302011826203904`*^9}, {3.5302012449129534`*^9, 
   3.530201245845007*^9}, {3.5302012820910797`*^9, 3.530201282510104*^9}, {
   3.531141098681274*^9, 3.531141110373943*^9}, {3.531206359982412*^9, 
   3.5312063854288673`*^9}, {3.531206460501161*^9, 3.5312064609331856`*^9}, 
   3.531660315428588*^9, 3.531660912383732*^9, {3.5316609775184574`*^9, 
   3.5316609788985357`*^9}, {3.53166106760961*^9, 3.531661069896741*^9}, {
   3.531661989534341*^9, 3.5316619958387012`*^9}, {3.531808621495719*^9, 
   3.5318086224677744`*^9}, {3.5318086675573535`*^9, 
   3.5318086752637944`*^9}, {3.531808884306751*^9, 3.5318088911991453`*^9}, {
   3.531808922685946*^9, 3.531808928161259*^9}, {3.5318128960982122`*^9, 
   3.5318129046937037`*^9}, {3.532245382103203*^9, 3.5322454371733527`*^9}, {
   3.5322456285803003`*^9, 3.5322456431941366`*^9}, {3.5324407462109404`*^9, 
   3.53244074865108*^9}, 3.532440799036962*^9, {3.532441924996363*^9, 
   3.5324419289515896`*^9}, {3.5324472005111337`*^9, 3.532447230279836*^9}, {
   3.5324473327626977`*^9, 3.532447334571801*^9}, {3.5324475787647686`*^9, 
   3.532447650354863*^9}, {3.532447857423707*^9, 3.5324478783039007`*^9}, {
   3.5324480023899984`*^9, 3.5324480166038113`*^9}, 3.532448052809882*^9, 
   3.5324481943099756`*^9, {3.5324484417191267`*^9, 3.5324484752210426`*^9}, {
   3.5324490132038136`*^9, 3.5324490225223465`*^9}, {3.532449140217078*^9, 
   3.5324491436362743`*^9}, {3.532449272028618*^9, 3.5324492722036276`*^9}, {
   3.532449370275237*^9, 3.532449373271408*^9}, {3.5324495062960167`*^9, 
   3.5324495066190352`*^9}, {3.5324497011751633`*^9, 
   3.5324497119187775`*^9}, {3.5324498374519577`*^9, 
   3.5324498415041895`*^9}, {3.532450592989172*^9, 3.532450600964628*^9}, {
   3.532452183870165*^9, 3.5324521914776*^9}, {3.532452476177884*^9, 
   3.5324524809461575`*^9}, {3.532452514509077*^9, 3.53245251893633*^9}, {
   3.5324525709373045`*^9, 3.532452572113372*^9}, {3.5324526682338696`*^9, 
   3.532452717622694*^9}, {3.5324528248388267`*^9, 3.532452838497608*^9}, {
   3.532452876766797*^9, 3.532452892489696*^9}, {3.532452937299259*^9, 
   3.5324529763724937`*^9}, {3.5324530351608562`*^9, 3.5324531030697403`*^9}, 
   3.5324531424669943`*^9, {3.5324531821192617`*^9, 3.5324532247697015`*^9}, {
   3.532670550734152*^9, 3.532670620305131*^9}, {3.5326709204322968`*^9, 
   3.5326709253815804`*^9}, {3.532685963806729*^9, 3.532685973637291*^9}, {
   3.532687220330598*^9, 3.5326872206756177`*^9}, {3.532687298247054*^9, 
   3.5326873004681816`*^9}, {3.5326875879356236`*^9, 3.5326876044965706`*^9}, 
   3.5326877693009973`*^9, {3.532687844867319*^9, 3.5326878450693307`*^9}, {
   3.5326879097500305`*^9, 3.5326879165354185`*^9}, {3.53268834840812*^9, 
   3.532688348596131*^9}, {3.5326886443160453`*^9, 3.532688645285101*^9}, {
   3.532688721906483*^9, 3.5326887220914936`*^9}, {3.5326888083484273`*^9, 
   3.5326888393442*^9}, 3.532689926696393*^9, {3.532689996174367*^9, 
   3.532689999790574*^9}, 3.5326901924845953`*^9, {3.5326902524470253`*^9, 
   3.5326902531340647`*^9}, {3.532690326226245*^9, 3.5326903282903633`*^9}, {
   3.532690457281741*^9, 3.5326904609459505`*^9}, 3.5326905534152393`*^9, {
   3.5326906238742695`*^9, 3.532690645898529*^9}, {3.5326952111896486`*^9, 
   3.532695225268454*^9}, {3.532695370068736*^9, 3.532695374624997*^9}, {
   3.532695556350391*^9, 3.5326955633877935`*^9}, {3.532695812790058*^9, 
   3.532695815109191*^9}, {3.532695948558824*^9, 3.5326959605005074`*^9}, {
   3.5326960434592524`*^9, 3.5326960449703383`*^9}, {3.53269619535994*^9, 
   3.5326962008962564`*^9}, {3.5326962845770435`*^9, 
   3.5326963078533745`*^9}, {3.5326981223661585`*^9, 3.5326981533139286`*^9}, 
   3.532698186051801*^9, {3.559159222333249*^9, 3.559159316369382*^9}, {
   3.559159347244426*^9, 3.559159348304427*^9}, {3.5591599845803237`*^9, 
   3.559159990981333*^9}, 3.5591600682944417`*^9, {3.5591603925158987`*^9, 
   3.559160420109937*^9}, 3.55916051395607*^9, 3.5593737033557663`*^9, {
   3.559373758053843*^9, 3.5593737772168703`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(m\)]\)\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(b\)]\)\!\(\*SuperscriptBox[\(h\), \(2\)]\)\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(\[CapitalLambda]\)]\)\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(b\)]\)\!\(\*SuperscriptBox[\(h\), \(2\)]\)\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(m\)]\)\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(n\), \(s\)]\)\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(m\)]\)\>\"", ",", 
      "\"\<w\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(n\), \(s\)]\)\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(K\)]\)\>\""}], "}"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(m\)]\)\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(K\)]\)\>\""}], "}"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<w\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(K\)]\)\>\""}], "}"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{"\"\<w\>\"", ",", "\"\<\!\(\*SubscriptBox[\(n\), \(s\)]\)\>\""}],
      "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(K\)]\)\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(b\)]\)\!\(\*SuperscriptBox[\(h\), \(2\)]\)\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<w\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(b\)]\)\!\(\*SuperscriptBox[\(h\), \(2\)]\)\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(n\), \(s\)]\)\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(b\)]\)\!\(\*SuperscriptBox[\(h\), \(2\)]\)\>\""}], "}"}]}], "}"}], 
  ";"}]], "Input",
 CellChangeTimes->{3.559159824523098*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
      "\"\<omegam\>\"", "->", 
       "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(m\)]\)\>\""}], ",", 
      RowBox[{
      "\"\<omegabh2\>\"", "->", 
       "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(b\)]\)\!\(\*SuperscriptBox[\(h\), \(2\)]\)\>\""}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
      "\"\<omegal\>\"", "->", 
       "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(\[CapitalLambda]\)]\)\>\
\""}], ",", 
      RowBox[{
      "\"\<omegabh2\>\"", "->", 
       "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(b\)]\)\!\(\*SuperscriptBox[\(h\), \(2\)]\)\>\""}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
      "\"\<omegam\>\"", "->", 
       "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(m\)]\)\>\""}], ",", 
      RowBox[{
      "\"\<ns\>\"", "->", "\"\<\!\(\*SubscriptBox[\(n\), \(s\)]\)\>\""}]}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
      "\"\<omegam\>\"", "->", 
       "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(m\)]\)\>\""}], ",", 
      RowBox[{"\"\<w\>\"", "->", "\"\<w\>\""}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
      "\"\<ns\>\"", "->", "\"\<\!\(\*SubscriptBox[\(n\), \(s\)]\)\>\""}], ",", 
      RowBox[{
      "\"\<omegak\>\"", "->", 
       "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(K\)]\)\>\""}]}], "}"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
      "\"\<omegam\>\"", "->", 
       "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(m\)]\)\>\""}], ",", 
      RowBox[{
      "\"\<omegak\>\"", "->", 
       "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(K\)]\)\>\""}]}], "}"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<w\>\"", "->", "\"\<w\>\""}], ",", 
      RowBox[{
      "\"\<omegak\>\"", "->", 
       "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(K\)]\)\>\""}]}], "}"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<w\>\"", "->", "\"\<w\>\""}], ",", 
      RowBox[{
      "\"\<ns\>\"", "->", "\"\<\!\(\*SubscriptBox[\(n\), \(s\)]\)\>\""}]}], 
     "}"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
       "\"\<omegak\>\"", "->", 
        "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(K\)]\)\>\""}], ",", 
       "\"\<omegabh2\>\""}], "}"}], "->", 
     "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(b\)]\)\!\(\*SuperscriptBox[\(h\), \(2\)]\)\>\""}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<w\>\"", "->", "\"\<w\>\""}], ",", 
      RowBox[{
      "\"\<omegabh2\>\"", "->", 
       "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(b\)]\)\!\(\*SuperscriptBox[\(h\), \(2\)]\)\>\""}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
      "\"\<ns\>\"", "->", "\"\<\!\(\*SubscriptBox[\(n\), \(s\)]\)\>\""}], ",", 
      RowBox[{
      "\"\<omegabh2\>\"", "->", 
       "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(b\)]\)\!\(\*SuperscriptBox[\(h\), \(2\)]\)\>\""}]}], "}"}]}], "}"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5591598511271353`*^9, 3.5591599688573017`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\"\<omegam\>\"", ",", "\"\<omegabh2\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\"\<omegal\>\"", ",", "\"\<omegabh2\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\"\<omegam\>\"", ",", "\"\<ns\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\"\<omegam\>\"", ",", "\"\<w\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\"\<ns\>\"", ",", "\"\<omegak\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\"\<omegam\>\"", ",", "\"\<omegak\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\"\<w\>\"", ",", "\"\<omegak\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\"\<w\>\"", ",", "\"\<ns\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\"\<omegak\>\"", ",", "\"\<omegabh2\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\"\<w\>\"", ",", "\"\<omegabh2\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\"\<ns\>\"", ",", "\"\<omegabh2\>\""}], "}"}]}], "}"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.55915923694527*^9, {3.559159827264102*^9, 3.55915984744713*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"End", " ", "unit"}], " ", "*)"}]], "Input"]
}, Closed]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"End", " ", "unit"}], " ", "*)"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 InitializationCell->True,
 CellChangeTimes->{{3.5288056316097765`*^9, 3.52880566121347*^9}, {
  3.528806512065136*^9, 3.5288065166784*^9}, {3.529070881358996*^9, 
  3.5290708835221195`*^9}}]
}, Closed]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "To", " ", "use", " ", "the", " ", "interface", " ", "just", " ", 
    "evaluate", " ", "this", " ", "cell", " ", "and", " ", "choose", " ", 
    "either", " ", "a", " ", "WMAP", " ", "chain", " ", "or", " ", "a", " ", 
    "CosmoMC", " ", "compatible", " ", 
    RowBox[{"chain", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Chains", "[", "]"}]}]], "Input",
 CellChangeTimes->{{3.529307333059429*^9, 3.5293073352275534`*^9}, {
  3.5591421426130905`*^9, 3.5591421844801493`*^9}}],

Cell[BoxData[
 RowBox[{"Quit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.5287071837893486`*^9, 3.5287071866885147`*^9}, {
  3.5314870581571283`*^9, 3.5314870590601797`*^9}, {3.532452195810848*^9, 
  3.5324521967929044`*^9}, {3.5326882313464246`*^9, 3.5326882323604827`*^9}}]
},
CellGrouping->Manual,
WindowSize->{1016, 918},
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 450, 12, 237, "Title"],
Cell[1010, 34, 1050, 26, 126, "Subsubtitle"],
Cell[CellGroupData[{
Cell[2085, 64, 628, 12, 43, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 InitializationCell->True],
Cell[CellGroupData[{
Cell[2738, 80, 94, 2, 43, "Input"],
Cell[2835, 84, 1096, 27, 98, "Input",
 InitializationCell->True],
Cell[3934, 113, 63, 1, 43, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[4034, 119, 316, 6, 32, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 InitializationCell->True],
Cell[4353, 127, 2293, 53, 233, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 InitializationCell->True],
Cell[6649, 182, 29874, 506, 413, "Input",
 InitializationCell->True],
Cell[36526, 690, 8326, 201, 827, "Input",
 InitializationCell->True],
Cell[44855, 893, 5371, 127, 449, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 InitializationCell->True],
Cell[50229, 1022, 5285, 144, 449, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 InitializationCell->True],
Cell[55517, 1168, 252, 5, 43, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[55806, 1178, 335, 7, 32, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 InitializationCell->True],
Cell[56144, 1187, 5118, 85, 382, "Input",
 InitializationCell->True],
Cell[61265, 1274, 4856, 120, 458, "Input",
 InitializationCell->True],
Cell[66124, 1396, 10265, 253, 973, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[76426, 1654, 93, 2, 32, "Input"],
Cell[76522, 1658, 15828, 320, 1151, "Input",
 InitializationCell->True],
Cell[92353, 1980, 2111, 57, 108, "Input"],
Cell[94467, 2039, 3131, 92, 190, "Input"],
Cell[97601, 2133, 1094, 28, 98, "Input"],
Cell[98698, 2163, 89, 2, 43, "Input"]
}, Closed]],
Cell[98802, 2168, 334, 7, 32, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 InitializationCell->True]
}, Closed]],
Cell[99151, 2178, 552, 11, 87, "Input"],
Cell[99706, 2191, 276, 4, 43, "Input"]
}
]
*)

(* End of internal cache information *)
